use axum::Json;
use domain::dto::game_account::GameAccountCreate;
use library::resp::response::{ResErr, ResOK, ResResult};
use validator::Validate;

pub async fn create(Json(req): Json<GameAccountCreate>) -> ResResult<ResOK<()>> {
    if let Err(err) = req.validate() {
        return Err(ResErr::ErrParams(Some(err.to_string())));
    }

    service::game_account::create(req).await?;

    Ok(ResOK(None))
}
